## org.opengis.sld
Interface PointSymbol

All Superinterfaces:
  Symbol

    @XmlElement(value="PointSymbolizer")
    public interface PointSymbol

extends Symbol

Indicates how to draw point geometries on a map.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary
`Graphic` `getGraphic()` Returns the graphic that will be drawn at each point of the geometry.
`void` `setGraphic(Graphic graphic)` Sets the graphic that will be drawn at each point of the geometry.

Methods inherited from interface Symbol
`accept, getAbstract, getGeometryAttribute, getName, getTitle, setAbstract, setGeometryAttribute, setName, setTitle`

Method Detail

### getGraphic

    @XmlElement(value="Graphic")
    Graphic getGraphic()

  Returns the graphic that will be drawn at each point of the geometry.

### setGraphic

    @XmlElement(value="Graphic")
    void setGraphic(Graphic graphic)

  Sets the graphic that will be drawn at each point of the geometry. See `getGraphic()` for details.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.